Probably what you want to do is: from OCC.Utils.Construct import *
poly = make_closed_polygon( list_of_points ) face = make_face(poly) ... sewn = sew_shapes( your_list_of_faces ) Take care, -jelle On Jul 1, 2010, at 9:51 PM, Thiago Franco Moraes wrote: > Hi all, > > From a list of triangles I'm creating a bunch of TopoDS_Face using > BRepBuilderAPI_MakeFace, above a function I'm using to do this: > > def make_face(points): > pairs = zip(points, points[1::]+[points[0]]) > wire = BRepBuilderAPI_MakeWire() > for v1, v2 in pairs: > e = BRepBuilderAPI_MakeEdge(gp_Pnt(*v1), gp_Pnt(*v2)) > wire.Add(e.Edge()) > > print "Returning Face" > face = BRepBuilderAPI_MakeFace(gp_Pln(gp_Ax3(gp().XOY())), > wire.Wire()) > > return face > > Now is necessary to join those TopoDS_Face and create TopoDS_Shell. To > do that I tried to use BRepBuilderAPI_MakeShell, but it doesn't have a > Add method to add the TopoDS_Faces. How can I add those faces to the > shell? Or I'm doing something wrong? > > Thanks! > > _______________________________________________ > Pythonocc-users mailing list > Pythonocc-users@gna.org > https://mail.gna.org/listinfo/pythonocc-users _______________________________________________ Pythonocc-users mailing list Pythonocc-users@gna.org https://mail.gna.org/listinfo/pythonocc-users